{#{% extends 'form.html.twig' %}#}
{#{% import 'macro/_forms.html.twig' as macro %}#}

{#{% block pageTitle 'Ajouter un utilisateur' %}#}

{#{% block pageActions %}#}
{#    {{ macro.backButton('app_user_index') }}#}
{#{% endblock %}#}

{#{% block pageSaveReturn %}#}
{#    {{ macro.save('app_user_index') }}#}
{#{% endblock %}#}


{% extends 'base.html.twig' %}
{% import 'macro/_forms.html.twig' as macro %}

{% block body %}
    <div class="col-12 offset-0">
        {{ apy_breadcrumb_trail_render(breadcrumb) }}
    </div>

    <div class="col-12 offset-0 mt-3">
        <h1>
            {{ title }}
        </h1>

        <div class="mt-4">
            {{ macro.backButton('app_user_index') }}
        </div>

        <div class="mt-4 col-8 offset-2"></div>

        <div class="row mt-4">
            <div class="col-8 offset-2 form-white">
                {{ form_start(form) }}
{#                {{ form_widget(form._token) }}#}
{#                {{ form_errors(form) }}#}

                {{ form_row(form.organisations) }}

                <div id="roles" class="row" data-prototype="{{ form_widget(form.organisationUserRoles.vars.prototype)|e }}">
                    {% for roleField in form.organisationUserRoles %}
                        <div class="col-md-12">
                            <div id="user_organisationUserRoles_{{ roleField.vars.data.organisation.id }}">
                                <div class="form-group">
                                    {{ form_widget(roleField.organisation) }}
                                </div>
                                <div class="form-group">
                                    {{ form_label(roleField.role, null, {'label': 'Profil de l\'utilisateur dans l\'entité : ' ~ roleField.vars.value.organisation.raisonsociale ~ '' }) }}
                                    {{ form_widget(roleField.role) }}
                                </div>
                            </div>
                        </div>
                    {% endfor %}
                </div>

                {{ form_widget(form) }}

                <div class="float-right">
                    {{ macro.save('app_user_index') }}
                </div>

                {{ form_end(form) }}
            </div>
        </div>

        <div class="col-8 offset-2"></div>
    </div>
{% endblock %}

{% block javascripts %}
    {{ encore_entry_script_tags('user') }}
{% endblock %}
